#include <bits/stdc++.h>
#define endl '\n';
using namespace std;
int table[500000];
void ans(int maxi){
    for(int i = 1; i*i<=maxi; i++){
        table[i*i]++;
    }
}
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int n;
    cin >> n;
    bool ok = false;
    ans(500000);
    for(int i = 0; i<n; i++){
        int a;
        cin >> a;
        ok = false;
        for(int j = 1; j<=a/2; j++){
            if(table[j]==1 && table[a-j]==1){
                cout << 1;
                ok = true;
                break;
            }
        }
        if(!ok){
            cout << 0;
        }
    }
    return 0;
}
